Skip to content

# Class: PageParam<V>

Renderer.Navigation.PageParam

## Type parameters

Name | Type
--- | ---
`V` | `V` = `any`

## Table of contents

### Constructors

- constructor

### Properties

- isMulti
- name

### Accessors

- defaultValue

### Methods

- clear
- get
- getRaw
- parse
- set
- setRaw
- stringify
- toString

## Constructors

### constructor

• new PageParam<V>(`init`, `history`)

#### Type parameters

Name | Type
--- | ---
`V` | `V` = `any`

#### Parameters

Name | Type
--- | ---
`init` | PageParamInit<V>
`history` | `ObservableHistory`<`Object`>

## Properties

### isMulti

• `Readonly` isMulti: `boolean`

### name

• `Readonly` name: `string`

## Accessors

### defaultValue

• `get` defaultValue(): `V`

#### Returns

`V`

## Methods

### clear

▸ clear(): `void`

#### Returns

`void`

### get

▸ get(): `V`

#### Returns

`V`

### getRaw

▸ getRaw(): `string` | `string`[]

Get stringified raw value(s) from `document.location.search`

#### Returns

`string` | `string`[]

### parse

▸ parse(`values`): `V`

#### Parameters

Name | Type
--- | ---
`values` | `string` | `string`[]

#### Returns

`V`

### set

▸ set(`value`, `__namedParameters?`): `void`

#### Parameters

Name | Type
--- | ---
`value` | `V`
`__namedParameters` | `Object`
`__namedParameters.mergeGlobals` |
`__namedParameters.replaceHistory` |

#### Returns

`void`

### setRaw

▸ setRaw(`value`): `void`

Set stringified raw value(s) and update `document.location.search`

#### Parameters

Name | Type
--- | ---
`value` | `string` | `string`[]

#### Returns

`void`

### stringify

▸ stringify(`value?`): `string`[]

#### Parameters

Name | Type
--- | ---
`value` | `V`

#### Returns

`string`[]

### toString

▸ toString(`__namedParameters?`): `string`

#### Parameters

Name | Type
--- | ---
`__namedParameters` | `Object`
`__namedParameters.mergeGlobals` |
`__namedParameters.value` |
`__namedParameters.withPrefix` |

#### Returns

`string`